Redmine - Feature #8105

Add attachment as a link
2011-04-08 12:14 - Dmitry Babenko

Status: Closed Start date: 2011-04-08
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Attachments Estimated time: 0.00 hour

Target version:

Resolution: Duplicate

Description
Sometimes it is useful to attach not a file but link to file. Examples of use cases can be:
 link to Google Docs or similar service;

* link to external file storage (e.qg. ftp);
e etc... actually, it can be a link to any resource.

Of course, we can post links into the task description or comments but it would be much better to cumulate all attachments in one
section.

So, | suggest to rename task's section "Files" to "Attachments" and add input field to post a link.
If we post link instead of file then "Optional description" becomes a link.

Related issues:
Is duplicate of Redmine - Feature #2205: Allow 'upload' links as a File New 2008-11-17

History

#1 - 2011-04-20 12:49 - Dmitry Babenko

One more use case: a link to the items in Documents/Files modules.
E.g.: one file may need to be attached to several tasks. Uploading it to Documents/Files will avoid duplication.

#2 - 2017-11-23 07:27 - Go MAEDA
- Is duplicate of Feature #2205: Allow 'upload’ links as a File added

#3 - 2017-11-23 07:31 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Duplicate

| am closing this issue because this request is the same as #2205.
